Summary:	BDF font utilities (bdftruncate, ucs2any)
Summary(pl.UTF-8):	Narzędzia do fontów BDF (bdftruncate, ucs2any)
Name:		xorg-font-font-util
Version:	1.4.1
Release:	1%{?tld}
License:	MIT, BSD, Unicode TOU
Group:		X11/Development/Tools
Source0:	https://xorg.freedesktop.org/releases/individual/font/font-util-%{version}.tar.xz
# Source0-md5:	a6541d12ceba004c0c1e3df900324642
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Obsoletes:	X11-fonts-utils < 1:7.0.0
Obsoletes:	XFree86-fonts-utils < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org font package creation/installation utilities:
- bdftruncate generates truncated BDF font from ISO 10646-1-encoded
  BDF font
- ucs2any generates BDF fonts containing subsets of ISO 10646-1
  codepoints

%description -l pl.UTF-8
Narzędzia do tworzenia i instalacji pakietów fontów X.org:
- bdftruncate generuje obcięte fonty BDF z fontów BDF w kodowaniu ISO
  10646-1
- ucs2any generuje fonty BDF zawierające podzbiory kodów ISO 10646-1

%prep
%setup -q -n font-util-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-mapdir=%{_fontsdir}/util \
	--with-fontrootdir=%{_fontsdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/bdftruncate
%attr(755,root,root) %{_bindir}/ucs2any
%{_fontsdir}/util
%{_mandir}/man1/bdftruncate.1*
%{_mandir}/man1/ucs2any.1*
%{_aclocaldir}/fontutil.m4
%{_pkgconfigdir}/fontutil.pc
%changelog
* Wed Apr 24 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-font-font-util.git;a=log;h=master

* Sat Sep 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 3f0a8c7
- updated to 1.4.1

* Wed Mar 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 9e963c3
- updated to 1.4.0

* Wed Jul 13 2022 Jakub Bogusz <qboosh@pld-linux.org> ff35f4e
- updated to 1.3.3

* Mon Aug 26 2019 Jakub Bogusz <qboosh@pld-linux.org> aca7199
- updated to 1.3.2

* Sun Mar 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 231c9f2
- updated to 1.3.1

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> e886a81
- x32 rebuild
- release 3 (by relup.sh)

* Tue Dec 30 2014 Jan Rękorajski <baggins@pld-linux.org> 09f4ef9
- fixed files

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 5dc5bb4
- release 2 (by relup.sh)

* Wed Feb 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8fe2d5e
- up to 1.3.0

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 3fc9c7b
- dropped pre-cvs changelog

* Thu Oct 14 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 37344e2
- up to 1.2.0

* Tue Oct 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 428d0dc
- updated BRs

* Tue Oct 05 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4bcdbd2
- up to 1.1.2

* Wed Oct 14 2009 Jakub Bogusz <qboosh@pld-linux.org> ce7dbfe
- updated util-macros version
- added README to doc

* Mon Oct 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3bd7d29
- up to 1.1.1

* Sun Oct 11 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> bf91c8a
- rel 2; proper fonts path

* Sat Oct 10 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f0b2f1
- up to 1.1.0

* Fri Aug 07 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 092de6f
- up to 1.0.2

* Sun Apr 29 2007 Jakub Bogusz <qboosh@pld-linux.org> dbf1bce
- informative descs (from man pages)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> fe8a9bd
- tabs in preamble

